> ## Documentation Index
> Fetch the complete documentation index at: https://evo-0136956d.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Jimeng Video

> Video generation endpoint using the official Jimeng API format. Use the Action parameter to specify the operation type: - `CVSync2AsyncSubmitTask`: submit a video generation task - `CVSync2AsyncGetResult`: get task result Action and Version must be specified as query parameters.



## OpenAPI

````yaml /en/openapi/relay-api.mintlify.json post /jimeng
openapi: 3.0.1
info:
  title: AI Relay API
  description: 统一的 AI Model 调用接口，支持 OpenAI、Claude、Gemini、Kling、即梦等多种格式
  version: 1.0.0
  license:
    name: Proprietary
    url: https://example.com/license
servers:
  - url: https://token.nusabase.com/silver
    description: API Base URL
security:
  - BearerAuth: []
tags:
  - name: Models
    description: Models endpoints
  - name: Chat
    description: Chat endpoints
  - name: Responses
    description: Responses endpoints
  - name: Realtime
    description: Realtime endpoints
  - name: Claude
    description: Claude endpoints
  - name: Gemini
    description: Gemini endpoints
  - name: Images
    description: Images endpoints
  - name: Video
    description: Video endpoints
  - name: Video / Kling
    description: Video / Kling endpoints
  - name: Video / Jimeng
    description: Video / Jimeng endpoints
  - name: Audio
    description: Audio endpoints
  - name: Embeddings
    description: Embeddings endpoints
  - name: Rerank
    description: Rerank endpoints
  - name: Moderations
    description: Moderations endpoints
  - name: Not Implemented
    description: Not Implemented endpoints
paths:
  /jimeng:
    post:
      tags:
        - Video / Jimeng
      summary: Create Jimeng Video
      description: >-
        Video generation endpoint using the official Jimeng API format. Use the
        Action parameter to specify the operation type: -
        `CVSync2AsyncSubmitTask`: submit a video generation task -
        `CVSync2AsyncGetResult`: get task result Action and Version must be
        specified as query parameters.
      operationId: post_jimeng
      parameters:
        - name: Action
          in: query
          description: API operation type
          required: true
          schema:
            type: string
            enum:
              - CVSync2AsyncSubmitTask
              - CVSync2AsyncGetResult
        - name: Version
          in: query
          description: API version
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              description: Official Jimeng API request format
              properties:
                req_key:
                  type: string
                  description: Request type identifier
                prompt:
                  type: string
                  description: Text prompt
                binary_data_base64:
                  type: array
                  items:
                    type: string
                  description: Base64-encoded image data
      responses:
        '200':
          description: Request processed successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: Response code
                  message:
                    type: string
                    description: Response message
                  data:
                    type: object
                    description: Response data
                    properties: {}
          headers: {}
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: 错误 Profile
            type:
              type: string
              description: 错误类型
            param:
              type: string
              description: 相关参数
              nullable: true
            code:
              type: string
              description: 错误代码
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.